nclass               package:graphics               R Documentation

Compute the Number of Classes for a Histogram

Description:

     Compute the number of classes for a histogram, for use internally
     in 'hist'.

Usage:

     nclass.Sturges(x)
     nclass.scott(x)
     nclass.FD(x)

Arguments:

       x: A data vector. 

Details:

     'nclass.Sturges' uses Sturges' formula, implicitly basing bin
     sizes on the range of the data.

     'nclass.scott' uses Scott's choice for a normal distribution based
     on the estimate of the standard error.

     'nclass.FD' uses the Freedman-Diaconis choice based on the
     inter-quartile range.

Value:

     The suggested number of classes.

References:

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S-PLUS._ Springer, page 112.

     Freedman, D. and Diaconis, P. (1981) On the histogram as a density
     estimator: L_2 theory. _Zeitschrift für Wahrscheinlichkeitstheorie
     und verwandte Gebiete_ *57*, 453-476.

     Scott, D. W. (1979) On optimal and data-based histograms.
     _Biometrika_ *66*, 605-610.

     Scott, D. W. (1992) _Multivariate Density Estimation. Theory,
     Practice, and Visualization_. Wiley.

See Also:

     'hist'

